Get Card User Details
curl --request GET \
--url https://sandbox.getmipay.com/api/virtual-cards/users/{userReference}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.getmipay.com/api/virtual-cards/users/{userReference}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.getmipay.com/api/virtual-cards/users/{userReference}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Virtual card user created successfully",
"data": {
"id": 12,
"merchant_id": 3,
"reference": "SP6A9F21D0VC",
"first_name": "Alex",
"last_name": "Moris",
"email": "alex.moris@example.com",
"contact": "690112233",
"dob": "1994-03-21T00:00:00.000000Z",
"country_code": "237",
"billing_name": "Alex Moris",
"is_business": false,
"business_name": null,
"billing_address": "Carrefour Bastos",
"billing_city": "Yaoundé",
"billing_country": "CM",
"billing_state": "Centre",
"billing_postal_code": "00123",
"id_number": "CNI004829191",
"status": "active",
"created_at": "2025-10-02T12:45:30.000000Z",
"updated_at": "2025-10-02T12:45:30.000000Z"
}
}{
"success": false,
"message": "Invalid KEY",
"error_code": "INVALID_PUBLIC_KEY"
}{
"success": false,
"message": "Invalid KEY",
"error_code": "INVALID_PUBLIC_KEY"
}Virtual Cards
Get Card User Details
Retrieve detailed information for a virtual-card user by user reference.
GET
/
virtual-cards
/
users
/
{userReference}
/
details
Get Card User Details
Authorizations
JWT bearer token returned by POST /action/auth. Send protected requests with: Authorization: Bearer . Tokens expire after 24 hours.
Path Parameters
Virtual-card user reference
⌘I
